0 Пользователей и 1 Гость просматривают эту тему.
  • 4 Ответов
  • 1375 Просмотров
*

alexanderussgold

  • Захожу иногда
  • 230
  • 1 / 0
По рекомендации скачал файл перехода с 1.5.15 до 1.5.22. Распаковал архив на локальном компьютере и залил его в корневую папку.
Сам сайт работает, но в админку зайти не получается
No configuration file found and no installation code available. Exiting...
Файл configuration.php посмотрел. Вроде все пути и пароли соответствуют.
Форум читал, через поисковик искал подобные проблемы. Решения для себя не нашел.
Буду благодарен за помощь.
*

alexanderussgold

  • Захожу иногда
  • 230
  • 1 / 0
Re: Не успешное обновление до 1.5.22
« Ответ #1 : 20.11.2011, 13:23:14 »
Первую и основную проблему решил. Обновился до последней версии 1.5.25
Но теперь при попытке зайти в раздел админки "Расширения - установить-удалить" выскакивает ошибка
Fatal error: Class 'JMenuAdministrator' not found in /usr/home/сайт/data/www/сайт/libraries/joomla/application/menu.php on line 102
Чем может это быть вызвано?
*

Efanych

  • Глобальный модератор
  • 4642
  • 638 / 0
  • Меняю свою жизнь на 360°!
Re: Не успешное обновление до 1.5.22
« Ответ #2 : 20.11.2011, 13:25:57 »
Цитировать
Распаковал архив на локальном компьютере и залил его в корневую папку.
А чем заливали? Или сайт на локалке?
Создание сайтов, шаблонов, помощь в решении проблем.
*

alexanderussgold

  • Захожу иногда
  • 230
  • 1 / 0
Re: Не успешное обновление до 1.5.22
« Ответ #3 : 20.11.2011, 13:30:47 »
Удачным получился вариант с разархивацией непосредственно на хостинге. Все шаги были последовательно выполнены с 1.5.15 до 1.5.22, с 1.5.22 до 1.5.23, с 1.5.23 до 1.5.24, с 1.5.24 до 1.5.25. Все вроде бы прошло успешно, в админке все работает, кроме раздела установки. Нашел ту строку, в которую посылает там
require_once $path;

            // Create a JPathway object
            $classname = 'JMenu'.ucfirst($client);
   102         $instance = new $classname($options);
         }
         else
         {
            //$error = JError::raiseError( 500, 'Unable to load menu: '.$client);
            $error = null; //Jinx : need to fix this
            return $error;


Кстати, я погорячился. В админке очень многое не работает, но ошибка одна и также


Замечено, что проблема появилась уже при первом переходе до 1.5.22
« Последнее редактирование: 20.11.2011, 14:02:44 от alexanderussgold »
*

alexanderussgold

  • Захожу иногда
  • 230
  • 1 / 0
Re: Не успешное обновление до 1.5.22
« Ответ #4 : 20.11.2011, 14:37:06 »
Решение найдено. Заменил в файле

if(file_exists($path))
            {
                require_once $path;

                // Create a JPathway object
if(ucfirst($client)=='Site')
                $classname = 'JMenu'.ucfirst($client);
else $classname = 'JMenu';

                $instance = new $classname($options);
            }
            else
            {
                //$error = JError::raiseError( 500, 'Unable to load menu: '.$client);
                $error = null; //Jinx : need to fix this
                return $error;
            }
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Ошибка при внесении в настройки изменений компонента jUpgrade(обновление joomla)

Автор Ilya69

Ответов: 0
Просмотров: 1584
Последний ответ 08.05.2018, 20:23:13
от Ilya69
Обновление Joomla\!

Автор SemenSemen

Ответов: 3
Просмотров: 2998
Последний ответ 14.11.2017, 10:42:58
от SemenSemen
Обновление Joomla с 1.5 до 3

Автор kpripper

Ответов: 6
Просмотров: 2619
Последний ответ 27.05.2017, 23:47:50
от prosystema
Обновление 1.6.3 - ни на что не удается обновить

Автор ricardo2

Ответов: 13
Просмотров: 988
Последний ответ 29.09.2016, 13:13:30
от voland
Обновление 1.6 до текущей версии

Автор DarkP

Ответов: 2
Просмотров: 967
Последний ответ 03.09.2015, 07:35:12
от Jatedaty